VRPlatformVRPlatform
Teams

/teams/opening-balances/accounts-receivable-deferred-revenue

Update opening balance accounts receivable / deferred revenue summary

PUT
/teams/opening-balances/accounts-receivable-deferred-revenue
X-API-Key<token>

API key provided in dashboard

In: header

Request Body

application/json

accountsReceivableAmount*integer

Value in cents (100 = 1€)

Range-9007199254740991 <= value <= 9007199254740991
deferredRevenueAmount*integer

Value in cents (100 = 1€)

Range-9007199254740991 <= value <= 9007199254740991
currency?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.vrplatform.app/teams/opening-balances/accounts-receivable-deferred-revenue" \  -H "Content-Type: application/json" \  -d '{    "accountsReceivableAmount": -9007199254740991,    "deferredRevenueAmount": -9007199254740991  }'
{
  "amount": -9007199254740991,
  "currency": "string",
  "updatedAt": "string",
  "transactionId": "75906707-8c31-479c-b354-aa805c4cefbc",
  "accountsReceivableAmount": -9007199254740991,
  "deferredRevenueAmount": -9007199254740991
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}